# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/kit/signals/dto_helper'

module Sqreen
  module Kit
    module Signals
      class Actor
        include DtoHelper

        add_mandatory_attrs :ip_addresses

        # mandatory
        # @return [Array<String>]
        attr_accessor :ip_addresses

        # @return String
        attr_accessor :user_agent

        # @return [Hash{String=>String}]
        attr_accessor :identifiers

        # @return [Hash{String=>String}]
        attr_accessor :traits
      end
    end
  end
end
